Qwt User's Guide: QwtPolarMarker Class Reference

Qwt User's Guide 6.3.0

Loading...
Searching...
No Matches
Public Member Functions | List of all members
QwtPolarMarker Class Reference

A class for drawing markers. More...

`#include <qwt_polar_marker.h>`

Inheritance diagram for QwtPolarMarker:

## Public Member Functions
| QwtPolarMarker ()
| Sets alignment to Qt::AlignCenter, and style to NoLine.
virtual | ~QwtPolarMarker ()
| Destructor.
virtual int | rtti () const override
void | setPosition (const QwtPointPolar &)
| Change the position of the marker.
QwtPointPolar | position () const
void | setSymbol (const QwtSymbol *s)
| Assign a symbol.
const QwtSymbol * | symbol () const
void | setLabel (const QwtText &)
| Set the label.
QwtText | label () const
void | setLabelAlignment (Qt::Alignment)
| Set the alignment of the label.
Qt::Alignment | labelAlignment () const
virtual void | draw (QPainter *painter, const QwtScaleMap &azimuthMap, const QwtScaleMap &radialMap, const QPointF &pole, double radius, const QRectF &canvasRect) const override
virtual QwtInterval | boundingInterval (int scaleId) const override
Public Member Functions inherited from QwtPolarItem
| QwtPolarItem (const QwtText &title=QwtText())
virtual | ~QwtPolarItem ()
| Destroy the QwtPolarItem.
void | attach (QwtPolarPlot *plot)
| Attach the item to a plot.
void | detach ()
| This method detaches a QwtPolarItem from the QwtPolarPlot it has been associated with.
QwtPolarPlot * | plot () const
void | setTitle (const QString &title)
void | setTitle (const QwtText &title)
const QwtText & | title () const
void | setItemAttribute (ItemAttribute, bool on=true)
bool | testItemAttribute (ItemAttribute) const
void | setRenderHint (RenderHint, bool on=true)
bool | testRenderHint (RenderHint) const
void | setRenderThreadCount (uint numThreads)
uint | renderThreadCount () const
double | z () const
void | setZ (double z)
| Set the z value.
void | show ()
| Show the item.
void | hide ()
| Hide the item.
virtual void | setVisible (bool)
bool | isVisible () const
virtual void | itemChanged ()
virtual void | legendChanged ()
virtual void | updateScaleDiv (const QwtScaleDiv &, const QwtScaleDiv &, const QwtInterval &)
| Update the item to changes of the axes scale division.
virtual int | marginHint () const
void | setLegendIconSize (const QSize &)
QSize | legendIconSize () const
virtual QList< QwtLegendData > | legendData () const
| Return all information, that is needed to represent the item on the legend.
virtual QwtGraphic | legendIcon (int index, const QSizeF &) const

## Additional Inherited Members
Public Types inherited from QwtPolarItem
enum | RttiValues { Rtti_PolarItem = 0 , Rtti_PolarGrid , Rtti_PolarMarker , Rtti_PolarCurve , Rtti_PolarSpectrogram , Rtti_PolarUserItem = 1000 }
| Runtime type information. More...
enum | ItemAttribute { Legend = 0x01 , AutoScale = 0x02 }
| Plot Item Attributes. More...
enum | RenderHint { RenderAntialiased = 0x01 }
| Render hints. More...
typedef QFlags< ItemAttribute > | ItemAttributes
typedef QFlags< RenderHint > | RenderHints

## Detailed Description

A class for drawing markers.

A marker can be a a symbol, a label or a combination of them, which can be drawn around a center point inside a bounding rectangle.

The setSymbol() member assigns a symbol to the marker. The symbol is drawn at the specified point.

With setLabel(), a label can be assigned to the marker. The setLabelAlignment() member specifies where the label is drawn. All the Align*-constants in Qt::AlignmentFlags (see Qt documentation) are valid. The alignment refers to the center point of the marker, which means, for example, that the label would be painted left above the center point if the alignment was set to AlignLeft|AlignTop.

Definition at line 36 of file qwt_polar_marker.h.

## Constructor & Destructor Documentation

## ◆ QwtPolarMarker()

QwtPolarMarker::QwtPolarMarker | ( |  | ) |
| explicit

Sets alignment to Qt::AlignCenter, and style to NoLine.

Definition at line 42 of file qwt_polar_marker.cpp.

## ◆ ~QwtPolarMarker()

QwtPolarMarker::~QwtPolarMarker | ( |  | ) |
| virtual

Destructor.

Definition at line 52 of file qwt_polar_marker.cpp.

## Member Function Documentation

## ◆ boundingInterval()

QwtInterval QwtPolarMarker::boundingInterval | ( | int | scaleId | ) | const
| overridevirtual

Interval, that is necessary to display the item This interval can be useful for operations like clipping or autoscaling

Parameters

  scaleId | Scale index

Returns
  bounding interval ( == position )

See also
  position()

Reimplemented from QwtPolarItem.

Definition at line 228 of file qwt_polar_marker.cpp.

## ◆ draw()

void QwtPolarMarker::draw | ( | QPainter * | painter,
|  | const QwtScaleMap & | azimuthMap,
|  | const QwtScaleMap & | radialMap,
|  | const QPointF & | pole,
|  | double | radius,
|  | const QRectF & | canvasRect ) const
| overridevirtual

Draw the marker

Parameters

  painter | Painter
  azimuthMap | Maps azimuth values to values related to 0.0, M_2PI
  radialMap | Maps radius values into painter coordinates.
  pole | Position of the pole in painter coordinates
  radius | Radius of the complete plot area in painter coordinates
  canvasRect | Contents rect of the canvas in painter coordinates

Implements QwtPolarItem.

Definition at line 89 of file qwt_polar_marker.cpp.

## ◆ label()

QwtText QwtPolarMarker::label | ( |  | ) | const

Returns
  the label

See also
  setLabel()

Definition at line 185 of file qwt_polar_marker.cpp.

## ◆ labelAlignment()

Qt::Alignment QwtPolarMarker::labelAlignment | ( |  | ) | const

Returns
  the label alignment

See also
  setLabelAlignment()

Definition at line 214 of file qwt_polar_marker.cpp.

## ◆ position()

QwtPointPolar QwtPolarMarker::position | ( |  | ) | const

Returns
  Position of the marker

Definition at line 64 of file qwt_polar_marker.cpp.

## ◆ rtti()

int QwtPolarMarker::rtti | ( |  | ) | const
| overridevirtual

Returns
  QwtPolarItem::Rtti_PlotMarker

Reimplemented from QwtPolarItem.

Definition at line 58 of file qwt_polar_marker.cpp.

## ◆ setLabel()

void QwtPolarMarker::setLabel | ( | const QwtText & | label | ) |

Set the label.

Parameters

  label | label text

See also
  label()

Definition at line 172 of file qwt_polar_marker.cpp.

## ◆ setLabelAlignment()

void QwtPolarMarker::setLabelAlignment | ( | Qt::Alignment | align | ) |

Set the alignment of the label.

The alignment determines where the label is drawn relative to the marker's position.

Parameters

  align | Alignment. A combination of AlignTop, AlignBottom, AlignLeft, AlignRight, AlignCenter, AlgnHCenter, AlignVCenter.

See also
  labelAlignment()

Definition at line 201 of file qwt_polar_marker.cpp.

## ◆ setPosition()

void QwtPolarMarker::setPosition | ( | const QwtPointPolar & | pos | ) |

Change the position of the marker.

Definition at line 70 of file qwt_polar_marker.cpp.

## ◆ setSymbol()

void QwtPolarMarker::setSymbol | ( | const QwtSymbol * | symbol | ) |

Assign a symbol.

Parameters

  symbol | New symbol

See also
  symbol()

Definition at line 148 of file qwt_polar_marker.cpp.

## ◆ symbol()

const QwtSymbol * QwtPolarMarker::symbol | ( |  | ) | const

Returns
  the symbol

See also
  setSymbol(), QwtSymbol

Definition at line 162 of file qwt_polar_marker.cpp.